<div class="match-sources">
  <app-content-banner [isDashboard]="false" pageName="Match Sources"></app-content-banner>
  <mat-card class="match-sources-main-card mat-elevation-z0">
    <mat-card-header fxLayout="column" fxLayoutGap="10px">
      <det-client-banner [isHousingProgramType]="false"></det-client-banner>
    </mat-card-header>
    <mat-card-content>
      <mat-tab-group dynamicHeight [(selectedIndex)]="tabSelectedIndex" (selectedTabChange)="matchSourcesTabChange()">
        <!--Match Summary-->
        <mat-tab>
          <ng-template matTabLabel>
            <span style="margin-right: 20px">Match Summary</span>
            <mat-icon [ngStyle]="{'color': isMatchSummaryTabComplete ? completedColor : pendingColor }">
              {{ isMatchSummaryTabComplete ? 'check_circle' : 'watch_later' }}
            </mat-icon>
          </ng-template>
          <ng-template matTabContent>
            <mat-card class="mat-elevation-z0">
              <div class="match-sources-small-box mat-elevation-z4" fxLayout="column">
                <div class="match-sources-container mat-elevation-z4">
                  <form class="section">
                    <div fxLayout="column" flex class="match-sources-inner-client-banner" style="margin-top: 15px">
                      <div fxLayout="row" fxLayout.lt-md="column" fxLayoutAlign="start" class="inner-banner-row">
                        <span fxLayout="row">
                          <span>
                            <b>First Name :</b>
                            &nbsp;
                            {{ applicationDeterminationData ? applicationDeterminationData.demographicFirstName : '' }}
                          </span>
                          <span>
                            <b>Last Name :</b>
                            &nbsp;
                            {{ applicationDeterminationData ? applicationDeterminationData.demographicLastName : '' }}
                          </span>
                          <span>
                            <b>Social Security # :</b>
                            &nbsp;
                            {{ applicationDeterminationData ? (applicationDeterminationData.demographicSSN | mask: '000-00-0000') : '' }}
                          </span>
                          <span>
                            <b>Date of Birth :</b>
                            &nbsp;
                            {{ applicationDeterminationData ? applicationDeterminationData.demographicDOB : '' }}
                          </span>
                          <span>
                            <b>Gender :</b>
                            &nbsp;
                            {{ applicationDeterminationData ? applicationDeterminationData.demographicGenderDescription : '' }}
                          </span>
                          <span>
                            <b>CIN :</b>
                            &nbsp;
                            {{ applicationDeterminationData ? applicationDeterminationData.demographicCIN : '' }}
                          </span>
                        </span>
                      </div>
                    </div>
                    <br>
                    <ag-grid-angular style="width: 100%" class="ag-theme-balham match-summary-grid"
                      [rowData]="matchSummaryRowData" [columnDefs]="matchSummaryColumnDefs"
                      (gridReady)="matchSummaryGridReady($event)" [floatingFilter]="true" [animateRows]="false"
                      [overlayNoRowsTemplate]="matchSummaryOverlayNoRowsTemplate"
                      [defaultColDef]="matchSummaryDefaultColDef" [pagination]="true" [paginationPageSize]="10">
                    </ag-grid-angular>
                  </form>
                </div>
              </div>
            </mat-card>
          </ng-template>
        </mat-tab>
        <!--Housing Program Match Tab-->
        <mat-tab>
          <ng-template matTabLabel>
            <span style="margin-right: 20px">Housing Program Match</span>
            <mat-icon [ngStyle]="{'color': isHousingProgramMatchTabComplete ? completedColor : pendingColor }">
              {{ isHousingProgramMatchTabComplete ? 'check_circle' : 'watch_later' }}
            </mat-icon>
          </ng-template>
          <ng-template matTabContent>
            <mat-card class="mat-elevation-z0">
              <div class="match-sources-small-box mat-elevation-z4" fxLayout="column">
                <div class="match-sources-container mat-elevation-z4">
                  <app-housing-program-match></app-housing-program-match>
                </div>
              </div>
            </mat-card>
          </ng-template>
        </mat-tab>
        <!--DHS Match Tab-->
        <mat-tab>
          <ng-template matTabLabel>
            <span>DHS Match</span>
            <mat-icon [ngStyle]="{'color': isDHSMatchTabComplete ? completedColor : pendingColor }">
              {{ isDHSMatchTabComplete ? 'check_circle' : 'watch_later' }}
            </mat-icon>
          </ng-template>
          <ng-template matTabContent>
            <mat-card class="mat-elevation-z0">
              <div class="match-sources-small-box mat-elevation-z4" fxLayout="column">
                <div class="match-sources-container mat-elevation-z4">
                  <app-dhs-match></app-dhs-match>
                </div>
              </div>
            </mat-card>
          </ng-template>
        </mat-tab>
        <!--HASA Match Tab-->
        <mat-tab>
          <ng-template matTabLabel>
            <span>HASA Match</span>
            <mat-icon [ngStyle]="{'color': isHASAMatchTabComplete ? completedColor : pendingColor }">
              {{ isHASAMatchTabComplete ? 'check_circle' : 'watch_later' }}
            </mat-icon>
          </ng-template>
          <ng-template matTabContent>
            <mat-card class="mat-elevation-z0">
              <div class="match-sources-small-box mat-elevation-z4" fxLayout="column">
                <div class="match-sources-container mat-elevation-z4">
                  <app-hasa-match></app-hasa-match>
                </div>
              </div>
            </mat-card>
          </ng-template>
        </mat-tab>
        <!--Medicaid Match Tab-->
        <mat-tab>
          <ng-template matTabLabel>
            <span style="margin-right: 5px">Medicaid Match</span>
            <mat-icon [ngStyle]="{'color': isMedicaidMatchTabComplete ? completedColor : pendingColor }">
              {{ isMedicaidMatchTabComplete ? 'check_circle' : 'watch_later' }}
            </mat-icon>
          </ng-template>
          <ng-template matTabContent>
            <mat-card class="mat-elevation-z0">
              <div class="match-sources-small-box mat-elevation-z4" fxLayout="column">
                <div class="match-sources-container mat-elevation-z4">
                  <app-medicaid-match></app-medicaid-match>
                </div>
              </div>
            </mat-card>
          </ng-template>
        </mat-tab>
        <!--Stars Match Tab-->
        <mat-tab>
          <ng-template matTabLabel>
            <span>Stars Match</span>
            <mat-icon [ngStyle]="{'color': isSTARSMatchTabComplete ? completedColor : pendingColor }">
              {{ isSTARSMatchTabComplete ? 'check_circle' : 'watch_later' }}
            </mat-icon>
          </ng-template>
          <ng-template matTabContent>
            <mat-card class="mat-elevation-z0">
              <div class="match-sources-small-box mat-elevation-z4" fxLayout="column">
                <div class="match-sources-container mat-elevation-z4">
                  <app-stars-match></app-stars-match>
                </div>
              </div>
            </mat-card>
          </ng-template>
        </mat-tab>
      </mat-tab-group>
    </mat-card-content>
    <div class="content-main">
      <div class="content-sub">
        <div class="content-sub-button-parent-right">
          <button type="button" mat-raised-button color="primary" (click)="previousTab()" matTooltip="Previous"
            matTooltipClass="pact-tooltip" *ngIf="tabSelectedIndex !== 0">Previous</button>
          &nbsp;&nbsp;
          <button type="button" mat-raised-button color="primary" (click)="nextTab()" matTooltip="Next"
            matTooltipClass="pact-tooltip">Next</button>
        </div>
      </div>
    </div>
  </mat-card>
</div>